<script setup lang="ts">
import { onMounted, ref } from 'vue'
import InvoiceView from './InvoiceView.vue'
import StockView from '../Stock/StockView.vue';
import BalanceMaterial from '@/views/invoice/BalanceMaterial.vue'
import ReportStock from '@/views/Stock/ReportStock.vue'

const stockComp = ref(false)
const invoiceComp = ref(false)
const balanceComp = ref(true)
const reportComp = ref(false)
const titleName = ref('Balance')

const navigate = (dest: string): void => {
  if (dest === 'Invoice') {
    stockComp.value = false
    invoiceComp.value = true
    balanceComp.value = false
    reportComp.value = false
    titleName.value = 'Invoice'
  } else if (dest === 'Stock') {
    stockComp.value = true
    invoiceComp.value = false
    balanceComp.value = false
    reportComp.value = false
    titleName.value = 'Stock'
  } else if (dest === 'Balance') {
    stockComp.value = false
    invoiceComp.value = false
    balanceComp.value = true
    reportComp.value = false
    titleName.value = 'Balance'
  } else if (dest === 'Report') {
    stockComp.value = false
    invoiceComp.value = false
    balanceComp.value = false
    reportComp.value = true
    titleName.value = 'Report'
  }
}

const currentDate = ref()
const currentTime = ref()
const now = new Date()
const time = new Date().toLocaleTimeString()
const setupDateAndTime = () => {
  currentDate.value = `${now.getDate()}/${now.getMonth() + 1}/${now.getFullYear()}`
  currentTime.value = `${time}:${now.getMinutes()}`

  setInterval(() => {
    const newNow = new Date()
    currentDate.value = `${newNow.getDate()}/${newNow.getMonth() + 1}/${newNow.getFullYear()}`
    currentTime.value = `${newNow.toLocaleTimeString()}`
  }, 1000)
}
onMounted(() => {
  setupDateAndTime()
})
</script>

<template>
  <div>
    <v-sheet>
      <v-container fluid>
        <v-toolbar flat color="#AB9283">
          <v-toolbar-title>{{ titleName }}</v-toolbar-title>
          <v-divider class="mx-4" inset vertical></v-divider>

          <v-spacer>
            <div>วันที่:{{ currentDate }} เวลา {{ currentTime }}</div>
          </v-spacer>
          <v-toolbar-items>
            <v-btn @click="navigate('Balance')">Balance</v-btn>
            <v-btn @click="navigate('Stock')">Stock</v-btn>
            <v-btn @click="navigate('Invoice')">Invoice</v-btn>
            <v-btn @click="navigate('Report')"
              style="border-radius: 0 20px 0 0; transform-origin: top right;">Report</v-btn>
          </v-toolbar-items>
        </v-toolbar>

        <div style="margin-top: 20px">
          <BalanceMaterial v-if="balanceComp"></BalanceMaterial>
          <StockView v-if="stockComp"></StockView>
          <InvoiceView v-if="invoiceComp"></InvoiceView>
          <ReportStock v-if="reportComp"></ReportStock>
        </div>

      </v-container>
    </v-sheet>
  </div>



</template>

<style scoped>
.v-sheet {
  background-color: #fff5e8;
}

.v-sheet,
.v-card {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
}

.v-toolbar {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
  background-color: #ab9283;
}

.v-toolbar-title {
  font-weight: bold;
  font-size: 24px;
  color: white;
}

.v-table {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  text-decoration: none;
  background-color: #fff5e8;
}

.v-btn {
  background-color: #504137;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffcb5e;
  font-weight: bold;
  padding: 10px 20px;
}

.custom-header {
  background-color: #ffcb5e;
}
</style>
